/*
 * Copyright (c) OutWit Technologies 2007-2020
 * All rights reserved.
 */

pref("browser.download.dir", "");
pref("browser.popups.showPopupBlocker", false);
pref("browser.urlbar.autoFill", true);
pref("browser.urlbar.clickSelectsAll", false);
pref("browser.urlbar.delay", 50);
pref("browser.urlbar.doubleClickSelectsAll", true);
pref("browser.urlbar.filter.javascript", true);
pref("browser.urlbar.formatting.enabled", true);
pref("browser.urlbar.maxRichResults", 10);
pref("browser.urlbar.oneOffSearches", false);
pref("browser.urlbar.suggest.history", true);
pref("browser.urlbar.trimURLs", true);
pref("browser.zoom.siteSpecific", true);
pref("browser.zoom.updateBackgroundTabs", false);
pref("extensions.outwit.app.info.display","version, profile");
pref("extensions.outwit.app.resetCachePref",false);
pref("extensions.outwit.autoApply.maxLength", 2000);
pref("extensions.outwit.autorename.pathSeparator", " › ");
pref("extensions.outwit.autosave.folder", "");
pref("extensions.outwit.autosave.remember", false);
pref("extensions.outwit.autosave", false);
pref("extensions.outwit.backgoundLinkExtraction", false);
pref("extensions.outwit.browse.updateWorkshopOnCopy", true);
pref("extensions.outwit.browse.alertOnErrorInBrowse", false);
pref("extensions.outwit.browse.bypassCache", "hash");
pref("extensions.outwit.browse.checkHeaders", false);
pref("extensions.outwit.browse.checkRobots", false);
pref("extensions.outwit.browse.confirmRepeatedScrapes", false);
pref("extensions.outwit.browse.deepNextPageSearch", false);
pref("extensions.outwit.browse.digBeforeBrowse", true);
pref("extensions.outwit.browse.dontAbsolutizeAnchors", false);
pref("extensions.outwit.browse.downloadFileTypeOnLoad", ""); //"pdf,zip"
pref("extensions.outwit.browse.dynamic.forceReload", "major");
pref("extensions.outwit.browse.enforceExtensionFilter", false);
pref("extensions.outwit.browse.fastExtractDomainDedup", true);
pref("extensions.outwit.browse.filterPagesInFastContacts", true);
pref("extensions.outwit.browse.fromOnClick", false);
pref("extensions.outwit.browse.maxDynamicModificationTime", 8000);
pref("extensions.outwit.browse.maxPageLoadTime", 15000);
pref("extensions.outwit.browse.maxPageProcessTime", 15000);
pref("extensions.outwit.browse.maxPageResponseTime", 15000);
pref("extensions.outwit.browse.noContentAlert", true);
pref("extensions.outwit.browse.skipExploredJSLinks", true);
pref("extensions.outwit.browse.skipExploredURLs", true);
pref("extensions.outwit.browse.tempo.max", 2000);
pref("extensions.outwit.browse.tempo.min", 2000);
pref("extensions.outwit.browse.tempo.sameDomainOnly", true);
pref("extensions.outwit.browse.withinDomain", true);
pref("extensions.outwit.browser.cancelUnwantedQueries", false);
pref("extensions.outwit.browser.disableDynamicNodeProcessing", "((facebook|stumbleupon|twitter|disqus|moatads|g(oogle)?(plus|\\-analytics)|(share|add)this|pinterest|amazonaws|reddit|tumblr|gstatic|googlesyndication|adnxs|cedexis|twimg|zopim|lytics|licdn)\\.com|google(\\.[a-z\\.]{2,6}\\/)?ads|\\/pagead|doubleclick|\\Wads\\W|fbcdn|\\/voyager\\/api\\/mux|\\/csp\\/dtag|bing.com\\/fd\\/)");
//pref("extensions.outwit.browser.disableDynamicNodeProcessing", "((facebook|stumbleupon|twitter|disqus|moatads|g(oogle)?(plus|\-analytics)|(share|add)this|pinterest|amazonaws|reddit|tumblr|gstatic|googlesyndication|adnxs|cedexis|twimg|zopim|lytics|licdn)\.com|google(\.[a-z\.]{2,6}\/)?ads|\/pagead|doubleclick|\Wads\W|fbcdn|kameleoon|gigya|accengage|jsdelivr|\/voyager\/api\/mux|\/csp\/dtag|bing.com\/fd\/)");
pref("extensions.outwit.browser.disableLinkProcessing", "");
pref("extensions.outwit.browser.file.forceCharset", true);
pref("extensions.outwit.browser.forceCharset", "");
pref("extensions.outwit.browser.ignoreWyciwygQueries", true);
pref("extensions.outwit.browser.new_window.inside", true);
pref("extensions.outwit.catchAutoBackup", false);
pref("extensions.outwit.catchAutoBackupTempo", 600000);
pref("extensions.outwit.cleanText.lineSeparator", ";");
pref("extensions.outwit.concurrent.downloads", 10);
pref("extensions.outwit.contact.filter.contains", "");
pref("extensions.outwit.contact.filter.doesNotContain", "");
pref("extensions.outwit.contact.filter.emailContains", "");
pref("extensions.outwit.contact.filter.emailDoesNotContain", "");
pref("extensions.outwit.contacts.forceSocialNetworks", false);
pref("extensions.outwit.contacts.guessCountry", false);
pref("extensions.outwit.contacts.guessHostName", false);
pref("extensions.outwit.contacts.ignoreForms", true);
pref("extensions.outwit.contacts.maxTimeout", 0);
pref("extensions.outwit.nameRecognition.filter", true);
pref("extensions.outwit.nameRecognition.noInitials", false);
pref("extensions.outwit.defaultSimilarThresold", 40);
pref("extensions.outwit.dig.filter.extensions", ";/[xdsp]?html?/;/php[3456]?/;/[aj]spx?/;jsf;py;cfm;xml;eml;law;do;action;txt;csv;sql;json;data?;tab;cgi");
pref("extensions.outwit.dom.max_chrome_script_run_time", 120);
pref("extensions.outwit.dontExtractLinks", false);
pref("extensions.outwit.download.autorename.pattern", "");
pref("extensions.outwit.download.referer", "");
pref("extensions.outwit.download.maxFilenameLength", 220);
//Move this elsewhere
pref("extensions.outwit.emails.maxNumber", 5000);
pref("extensions.outwit.encodeAllCharsInPOST", false);
pref("extensions.outwit.explore.defaultQueryDirectory", "");
pref("extensions.outwit.explore.doNotCheckForURLLists", false);
pref("extensions.outwit.explore.doNotConfirmInterruptions", false);
pref("extensions.outwit.explore.filter.contains", "");
pref("extensions.outwit.explore.filter.doesNotContain", "");
pref("extensions.outwit.explore.filter.firstIfContains", "");
pref("extensions.outwit.explore.filter.firstIfDoesNotContain", "");
pref("extensions.outwit.export.addMissingFields", true);
pref("extensions.outwit.export.autorename.pattern", "");
pref("extensions.outwit.export.csv.bom", true);
pref("extensions.outwit.export.csv.fieldQualifier", "\"");
pref("extensions.outwit.export.csv.fieldSeparator", ",");
pref("extensions.outwit.export.csv.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.doNotExportEmptyFiles", false);
pref("extensions.outwit.export.excel.extension", "xls");
pref("extensions.outwit.export.excel.progid", true);
pref("extensions.outwit.export.idColumn", false);
pref("extensions.outwit.export.json.bom", true);
pref("extensions.outwit.export.json.fieldQualifier", "");
pref("extensions.outwit.export.json.fieldSeparator", ",");
pref("extensions.outwit.export.json.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.kml.bom", true);
pref("extensions.outwit.export.kml.fieldQualifier", "");
pref("extensions.outwit.export.kml.fieldSeparator", "\x0D\x0A");
pref("extensions.outwit.export.kml.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.maxFileSize", 250000000);
pref("extensions.outwit.export.newTextExport.bom", true);
pref("extensions.outwit.export.newTextExport.fieldQualifier", "");
pref("extensions.outwit.export.newTextExport.fieldSeparator", ""); // \t
pref("extensions.outwit.export.newTextExport.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.separateFiles.bom", true);
pref("extensions.outwit.export.separateFiles.fieldQualifier", "");
pref("extensions.outwit.export.separateFiles.fieldSeparator", ""); // \t
pref("extensions.outwit.export.separateFiles.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.ordinalIdColumn", false);
pref("extensions.outwit.export.reservedCharReplacement", "");
pref("extensions.outwit.export.rss.bom", true);
pref("extensions.outwit.export.rss.fieldQualifier", "");
pref("extensions.outwit.export.rss.fieldSeparator", "\x0D\x0A");
pref("extensions.outwit.export.rss.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.sourceURLColumn", true);
pref("extensions.outwit.export.sql.bom", true);
pref("extensions.outwit.export.sql.fieldQualifier", "'");
pref("extensions.outwit.export.sql.fieldSeparator", ",");
pref("extensions.outwit.export.sql.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.sql.withCreate", false);
pref("extensions.outwit.export.sql.withDelete", false);
pref("extensions.outwit.export.sql.withDrop", false);
pref("extensions.outwit.export.sqlUpdate.bom", true);
pref("extensions.outwit.export.sqlUpdate.fieldQualifier", "'");
pref("extensions.outwit.export.sqlUpdate.fieldSeparator", ",");
pref("extensions.outwit.export.sqlUpdate.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.sqlUpdate.withCreate", false);
pref("extensions.outwit.export.sqlUpdate.withDelete", false);
pref("extensions.outwit.export.sqlUpdate.withDrop", false);
pref("extensions.outwit.export.txt.bom", true);
pref("extensions.outwit.export.txt.fieldQualifier", "");
pref("extensions.outwit.export.txt.fieldSeparator", "\t"); // \t
pref("extensions.outwit.export.txt.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.vcard.bom", false);
pref("extensions.outwit.export.vcard.fieldQualifier", "");
pref("extensions.outwit.export.vcard.fieldSeparator", "\x0D\x0A");
pref("extensions.outwit.export.vcard.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.export.xml.bom", true);
pref("extensions.outwit.export.xml.fieldQualifier", "");
pref("extensions.outwit.export.xml.fieldSeparator", "\x0D\x0A");
pref("extensions.outwit.export.xml.lineSeparator", "\x0D\x0A"); // \r\n
pref("extensions.outwit.fastexplore.filter.contains", "");
pref("extensions.outwit.fastexplore.filter.doesNotContain", "");
pref("extensions.outwit.fastScrape.concurrent", 5);
pref("extensions.outwit.fastScrape.fieldsToIgnore", "^#(scrapername|ordinal|collectiondate):");
pref("extensions.outwit.fastScrape.proceedEvenIfError", false);
pref("extensions.outwit.fastScrape.retriesAfterTimeout", 2);
pref("extensions.outwit.fastScrape.selectScrapedView", true);
pref("extensions.outwit.fastScrape.tempo.max", 100);
pref("extensions.outwit.fastScrape.tempo.min", 100);
pref("extensions.outwit.fastScrape.tempo.sameDomainOnly", true);
pref("extensions.outwit.fastScrape.showFullStatus", false);
pref("extensions.outwit.formatUnitsInLabels", "");
pref("extensions.outwit.guessGender.salutations", "");
pref("extensions.outwit.hideSearch", false);
pref("extensions.outwit.hubAutoRun", false);
pref("extensions.outwit.ignoreBlankInDuplication", true);
pref("extensions.outwit.images.ondemandonly", true);
pref("extensions.outwit.jobs.startup.runMissed", true);
pref("extensions.outwit.links.warnIfTooLong", false);
pref("extensions.outwit.log.debug.showInConsole", false);
pref("extensions.outwit.log.file.all", false);
pref("extensions.outwit.macros.sortAfterFastScrape", false);
pref("extensions.outwit.maxImagesInTree", 1500);
pref("extensions.outwit.nbrOfBackups", 15);
pref("extensions.outwit.normalization.keepCamelCase", false);
pref("extensions.outwit.page.disableJavascript", false);
pref("extensions.outwit.page.ignoreImages", false);
pref("extensions.outwit.page.ignoreMedia", false);
pref("extensions.outwit.page.ignorePlugins", false);
pref("extensions.outwit.readSharedGear", false);
pref("extensions.outwit.readSharedGearPath", "");
pref("extensions.outwit.regExpize.combineSpaceChars", true);
pref("extensions.outwit.retryForOriginalSource", false);
pref("extensions.outwit.search.seedURLs", "https://www.google.com/search?q=[#queryString#]\r\nhttps://en.wikipedia.org/wiki/[#queryString#]\r\nhttps://edition.cnn.com/search?q=[#queryString#]");
pref("extensions.outwit.scrapers.showStateOfVariables", false);
pref("extensions.outwit.scrapers.zapGremlins", true);
pref("extensions.outwit.similarThresoldIncrement", 5);
pref("extensions.outwit.skin.textColor", "defaultTextColor");
pref("extensions.outwit.skin.textSize", "defaultTextSize");
pref("extensions.outwit.slideshow.minHeight", 200);
pref("extensions.outwit.slideshow.minWidth", 200);
pref("extensions.outwit.sound.level", true);
pref("extensions.outwit.spaceReplacementInURLs", "");
pref("extensions.outwit.stacksInDB", false);
pref("extensions.outwit.standardTimeInFileNames", true);
pref("extensions.outwit.stringGeneration.maxNumber", 100000);
pref("extensions.outwit.tableMinRows", 3);
pref("extensions.outwit.approxURL", false);
pref("extensions.outwit.tree.linkDoubleClick", true);
pref("extensions.outwit.tree.maxColumnCount", 120);
pref("extensions.outwit.trees.doNotDedup", false);
pref("extensions.outwit.trees.ignoreSourceURLInDedup", true);
pref("extensions.outwit.truncateSourceAbove", 1500000);
pref("extensions.outwit.ui.dialog.concurrentJobProcess.dontRemind", "\"\"");
pref("extensions.outwit.ui.dialog.concurrentJobs.dontRemind", "\"\"");
pref("extensions.outwit.ui.dialog.imminentJob.dontRemind", "\"\"");
pref("extensions.outwit.ui.dialog.systemCommand.dontRemind", false);
pref("extensions.outwit.ui.userProfile", 3);
pref("extensions.outwit.userAgent", "");
pref("extensions.outwit.userReplacements.output", "");
pref("extensions.outwit.userReplacements.output", "");
pref("extensions.outwit.userReplacements.source", "");
pref("extensions.outwit.userReplacements.source", "");
pref("extensions.outwit.wayfinder.disableAds", "((stumbleupon|disqus|moatads|wirecutter|outbrain|g(oogle)?(plus|\\-analytics)|(share|add)this|pinterest|amazonaws|reddit|tumblr|gstatic|googlesyndication|adnxs|cedexis|twimg|zopim|lytics|licdn)\\.com|google(\\.[a-z\\.]{2,6}\\/)?ads|doubleclick|\\Wads\\W|fbcdn|\\/voyager\\/api\\/mux|\\/csp\\/dtag)");
pref("extensions.outwit.words.latinCharsOnly", true);
pref("extensions.outwit.writeSharedGear", false);
pref("extensions.outwit.XHRTimeout.general", 10000);
pref("extensions.outwit.XHRTimeout.rss", 60000);

// pref("extensions.update.enabled", true);
//extensions.outwit.ui.dialog.mkgsta.dontRemind
//extensions.outwit.ui.dialog.sourcer_quit_save_contacts.dontRemind
//extensions.outwit.ui.dialog.view.emails.empty.dontRemind
//pref("extensions.outwit.autosave.folder", "");
//pref("extensions.outwit.enablePartnerLinks", false);
//pref("extensions.outwit.fastexplore.filter.firstIfContains", "");
//pref("extensions.outwit.fastexplore.filter.firstIfDoesNotContain", "");
//pref("extensions.outwit.formatUnitsInLabels", "distance km");
//pref("extensions.outwit.guessGender.active", false);
//pref("extensions.outwit.partners", '[{"type":"Proxy Rotation Service","url":"https://scrapinghub.com/crawlera","active":true},{"type":"Data Extraction Service","url":"https://scrapinghub.com/data-on-demand/","active":false},{"type":"Scraper Development","url":"http://scraping-factory.com/","active":false},{"type":"Database of Businesses","url":"https://www.c-radar.com/en/","active":false}]');
//pref("extensions.outwit.processDynamicNodes", true);
//pref("extensions.outwit.scrapers.decodeJSCharcodes", true);
//pref("extensions.outwit.startupView", "page");
